<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="product">
            <h2><span jhiTranslate="louiesAlterierApp.product.detail.title">Product</span> {{ product.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="louiesAlterierApp.product.name">Name</span></dt>
                <dd>
                    <span>{{ product.name }}</span>
                </dd>
                <dt><span jhiTranslate="louiesAlterierApp.product.price">Price</span></dt>
                <dd>
                    <span>{{ product.price }}</span>
                </dd>
                <dt><span jhiTranslate="louiesAlterierApp.product.color">Color</span></dt>
                <dd>
                    <span>{{ product.color }}</span>
                </dd>
                <dt><span jhiTranslate="louiesAlterierApp.product.image">Image</span></dt>
                <dd>
                    <div *ngIf="product.image">
                        <a (click)="openFile(product.imageContentType, product.image)">
                            <img [src]="'data:' + product.imageContentType + ';base64,' + product.image" style="max-width: 100%;" alt="product image"/>
                        </a>
                        {{ product.imageContentType }}, {{ byteSize(product.image) }}
                    </div>
                </dd>
                <dt><span jhiTranslate="louiesAlterierApp.product.category">Category</span></dt>
                <dd>
                    <span>{{ product.category }}</span>
                </dd>
                <dt><span jhiTranslate="louiesAlterierApp.product.additions">Additions</span></dt>
                <dd>
                    <span *ngFor="let additions of product.additions; let last = last">
                        <a [routerLink]="['/addition', additions?.id, 'view']">{{ additions.id }}</a>{{ last ? '' : ', ' }}
                    </span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product', product.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
